package com.parseSystem.event.impl;

import com.parseSystem.event.EventHandlerService;
import com.parseSystem.event.VehicleEventService;
import com.parseSystem.vehicle.VehicleData;
import org.springframework.stereotype.Service;

/**
 *  历史轨迹事假
 * @author 冯凯
 * @version 1.0
 *
 * @date 2023/11/27 20:59
 */
@Service("historyTrackEvent")
public class HistoryTrackEvent extends EventHandlerService implements VehicleEventService {

    /**
     * 历史轨迹执行逻辑
     * @param vehicleData
     */
    @Override
    public void executeEvent(VehicleData vehicleData) {
        System.out.println("你好历史轨迹");
    }
}
