package com.parseSystem.utils;

import com.parseSystem.vehicle.VehicleData;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/12/1 21:15
 */
@Configuration
public class QueueConfig {
    @Bean
    public BlockingQueue<VehicleData> dataQueue1() {
        return new LinkedBlockingQueue<>();
    }

    @Bean
    public BlockingQueue<VehicleData> dataQueue2() {
        return new LinkedBlockingQueue<>();
    }
}
