package com.parseSystem.vehicle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 电子围栏实体类
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FenceData {
    /**
     * 字段属性：围栏主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer fenceId;
    /**
     * 字段属性：围栏名称
     */
    private String fenceName;
    /**
     * 字段属性：围栏数据
     */
    private String fenceData;
    /**s
     * 字段属性：围栏状态
     */
    private Integer status;
    /**
     * 字段属性：告警类型
     */
    private Integer alarmType;
    /**
     * 字段属性：围栏标签id
     */
    private Integer fenceTagId;
    /**
     * 字段属性：创建人
     */
    private String createdBy;
    /**
     * 字段属性：创建时间
     */
    private Date createdTime;
    /**
     * 字段属性：更新人
     */
    private String updatedBy;
    /**
     * 字段属性：更新时间
     */
    private Date updatedTime;
}
