package com.parseSystem.kafka.service;

import com.parseSystem.event.EventHandlerService;
import com.parseSystem.storage.service.StorageDateService;
import com.parseSystem.utils.ParseUtil;
import com.parseSystem.vehicle.VehicleData;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.kafka.clients.consumer.ConsumerRecords;
import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.apache.kafka.common.TopicPartition;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.time.Duration;
import java.util.Collections;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 消费者服务
 * @date 2023/11/25 15:52
 */
@Service
@Log4j2
public class ConsumerService {

//    /**
//     * 注入kafka消费者
//     */
//    @Autowired
//    private KafkaConsumer<String, String> consumer;
//
//    /**
//     * 注入事件处理服务
//     */
//    @Autowired
//    private EventHandlerService eventHandlerService;
//
//    /**
//     * 注入存储服务
//     */
//    @Autowired
//    private StorageDateService storageDateService;
//
//    /**
//     * 在容器启动后自动执行的初始化方法
//     */
//    @PostConstruct
//    public void consumerInit() {
//
//
//
//        TopicPartition topicPartition = new TopicPartition("test", 0);
//
//        // 订阅特定分区
//        consumer.assign(Collections.singleton(topicPartition));
//        //开启线程持续拉取数据
//        new Thread(() -> {
//            while (true) {
//                ConsumerRecords<String, String> records = null;
//                try {
//                    //每个一秒钟拉取一次
//                    records = consumer.poll(Duration.ofMillis(1000));
//                    for (ConsumerRecord<String, String> record : records) {
//                        System.out.println(record.value());
//                        //解析数据
//                        String data = ParseUtil.sixteenToStr(record.value());
//                        //构建数据对象
//                        VehicleData vehicleData = VehicleData.getBuild(data);
//                        //存储数据到tiDB
//                        storageDateService.save(vehicleData);
//                        System.out.println(vehicleData);
//                        //调用执行事件
//                        eventHandlerService.executeEvent(vehicleData);
//                    }
//                } catch (Exception e) {
//                    log.info("records： {}", records);
//                    log.error(e);
//                }
//            }
//        }).start();
//    }


}
